#ifndef _BandP_h
#define _BandP_h

#include "Band.h"

/* include superclass private header file */
#include <X11/Xaw/SimpleP.h>

typedef struct {
    XtPointer extension;
} BandClassPart;

typedef struct _BandClassRec {
    CoreClassPart	core_class;
    SimpleClassPart	simple_class;
    BandClassPart	band_class;
} BandClassRec;

extern BandClassRec bandClassRec;

typedef struct {
    /* resources */
    Pixel		foreground;
    int     		percent;
    /* private */
    GC			gc;
} BandPart;

typedef struct _BandRec {
    CorePart		core;
    SimplePart		simple;
    BandPart		band;
} BandRec;

#endif /* _BandP_h */
